GETFH(2)

NAME
getfh - get file handle

SYNOPSIS
#include <sys/param.h>
#include <sys/mount.h>
int
getfh(const char *path, fhandle_t *fhp);

DESCRIPTION
getfh() returns a file handle for the specified file or directory path in the file handle pointed to by fhp. This system call is restricted to the superuser.

RETURN VALUES

ERRORS
getfh() fails if one or more of the following are true:

[ENOTDIR]
    A component of the path prefix of path is not a directory.

[ENAMETOOLONG]
    A component of a pathname exceeded NAME_MAX characters, or an entire pathname (including the terminating NUL) exceeded PATH_MAX bytes.

[ENOENT]
    The file referred to by path does not exist.

[EACCES]
    Search permission is denied for a component of the path prefix of path.

[ELOOP]
    Too many symbolic links were encountered in translating path.

[EPERM]
    The effective user ID is not the superuser.

[EFAULT]
    fhp or path points to an invalid address.

[EIO]
    An I/O error occurred while reading from or writing to the file system.

[EINVAL]
    A portion of path refers to a remote file system.

[EOPNOTSUPP]
    A portion of path refers to a remote file system.

SEE ALSO
fhstat(2)

HISTORY
The getfh() function first appeared in 4.4BSD.